Page MenuHomePhabricator

Conduit query for Differential revisions mentioning a project
Closed, WontfixPublic

Description

This is not a very common use-case so I don't expect much, but it is similar enough to other things that already exist that I figured it's worth asking.

I'd like a way to determine when someone mentions a project in a comment on a Differential revision (more accurately, I'd like to have Differential revisions where a project was mentioned). This could either be as a field on one of the existing conduit queries, or if there were a way to trigger a herald rule that converted the mention to a tag/subscriber, I'll take that as well (this seems like a much bigger deal because it would require herald rules to run on comment actions etc). If I could read all the comment text on a revision, that's fine too.

Why do I want this? We have a process in our Github environment (I'm trying to ease the transition to Phabricator where possible) where the author can trigger a deploy (after a revision has been accepted by reviewers) by commenting with :shipit:, which a bot picks up and acts on. I can already achieve this behavior with explicit tags to a #shipit project, I'm trying to see if I can make it work all the way with a mention in a comment.

Event Timeline

venky created this task.Aug 25 2016, 9:18 AM
venky renamed this task from A way to programmatically determine when a project is mentioned to Conduit query for Differential revisions mentioning a project.Aug 25 2016, 9:18 AM
venky updated the task description. (Show Details)
venky added projects: Conduit, Herald.
venky updated the task description. (Show Details)Aug 25 2016, 9:21 AM
venky added a comment.Aug 25 2016, 9:48 AM

Herald firing on other things: T10109

chad added a subscriber: chad.Sep 1 2016, 3:44 PM

Maybe create a bot user called @shipit to trigger herald? Mentioning users CCs them to the object, but mentioning projects does nothing currently.

venky added a comment.Sep 1 2016, 8:29 PM
In T11530#192966, @chad wrote:

Maybe create a bot user called @shipit to trigger herald? Mentioning users CCs them to the object, but mentioning projects does nothing currently.

That's a good idea, will try that.

epriestley closed this task as Wontfix.Sep 2 2016, 10:26 PM
epriestley claimed this task.
epriestley added a subscriber: epriestley.

Broadly, this isn't a use case we intend to support specifically. See T5873, T10363, T11330, T11563#192717 for some related discussion.